#ifndef TMP_BIND_H
#define TMP_BIND_H

#include "packalgo.h"

namespace tmp {

template<template<typename...> class TT, typename C>
struct Bind2nd {
	template<typename T, typename... Ts>
	using F = TT<T, C>;
};

template<typename ValueType, template<typename, ValueType, typename...> class TT, ValueType V>
struct Bind2ndV {
	template<typename T, typename... Ts>
	using F = TT<T, V>;
};

}

#endif
